petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerHDF5GetBaseDimension2

Vectors of 1 dimension (i.e. bs/dof is 1) will be saved in the HDF5 file with a dimension of 2.

### Synopsis

    #include "petscsys.h"
    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5GetBaseDimension2(PetscViewer viewer,PetscBool *flg)

Logically Collective on PetscViewer Many br

### Input Parameter

viewer -the PetscViewer, must be of type HDF5 Many br

### Output Parameter

flg -if PETSC_TRUE the vector will always have at least a dimension of 2 even if that first dimension is of size 1 Many br

Notes: Setting this option allegedly makes code that reads the HDF5 in easier since they do not have a "special case" of a bs/dof Many brof one when the dimension is lower. Others think the option is crazy. Many br

Many br

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

Level:intermediate
Location:src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages